Bug 189048 - Review Request: perl-CPANPLUS
Summary: Review Request: perl-CPANPLUS
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 188505 188519 188523 188527 189040 189041 189042 189043 189044 189047
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-04-15 00:25 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 21:02:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steven Pritchard 2006-04-15 00:25:40 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-CPANPLUS/perl-CPANPLUS.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-CPANPLUS-0.061-1.src.rpm
Description:
The CPANPLUS library is an API to the CPAN mirrors and a collection of
interactive shells, commandline programs, daemons, etc, that use this API.

Comment 1 Jason Tibbitts 2006-04-15 17:36:59 UTC
I think we just need to work out perl-Object-Accessor and perl-File-Fetch and
then I can review this.

Comment 2 Steven Pritchard 2006-04-21 23:36:22 UTC
I think we're ready to go on this, when you have time...

Comment 3 Jason Tibbitts 2006-04-22 02:39:54 UTC
Funny, I was in the middle of the review when you commented....

Issues:
The Requires: filter is:

@@PERL_REQ@@ "$@" | sed -e '/^perl(Your::Module::Here)$/d'

I'm not sure what you wanted to filter there.

rpmlint is unhappy:
E: perl-CPANPLUS useless-explicit-provides perl(CPANPLUS::Config)
W: perl-CPANPLUS hidden-file-or-dir
/usr/lib/perl5/vendor_perl/5.8.8/CPANPLUS/inc/.inc
E: perl-CPANPLUS zero-length /usr/lib/perl5/vendor_perl/5.8.8/CPANPLUS/inc/.inc

I don't quite understand the first error; there is no such explicit Provide: in
the .spec so RPM must be generating it.
I'm not sure wiere the .inc file is coming from or what it's supposed to do.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   c9e9831d24d69b1f690d8b4967436899  CPANPLUS-0.061.tar.gz
   c9e9831d24d69b1f690d8b4967436899  CPANPLUS-0.061.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
X rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
O %check is present but necessarily disabled.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

Comment 4 Ville Skyttä 2006-04-22 07:19:29 UTC
(In reply to comment #3)
> E: perl-CPANPLUS useless-explicit-provides perl(CPANPLUS::Config)
> 
> I don't quite understand the first error; there is no such explicit Provide:
> in the .spec so RPM must be generating it.

I haven't had a look into this particular case, but this rpmlint error is often
seen in cases where a package provides both versioned and unversioned something
(through autoprov or not, doesn't matter).  The unversioned one satisfies all
versioned dependencies people might add in dependent packages, so if there's a
versioned one available, it could make sense to get rid of the unversioned one,
for example by filtering it out.


Comment 5 Jason Tibbitts 2006-04-22 15:13:38 UTC
In this case the issue is:

perl(CPANPLUS::Config)
perl(CPANPLUS::Config) = 0.050

I thought perhaps that's what the non-functioning filter was for, but that's for
requires and this is an errant provide.

Comment 6 Steven Pritchard 2006-05-06 17:33:58 UTC
(In reply to comment #3)
> The Requires: filter is:
> 
> @@PERL_REQ@@ "$@" | sed -e '/^perl(Your::Module::Here)$/d'
> 
> I'm not sure what you wanted to filter there.

I literally had to filter perl(Your::Module::Here).

 CPANPLUS-0.061$ find . -type f -exec grep -Hn Your::Module::Here {} \;
 ./lib/CPANPLUS/Internals/Constants/Report.pm:268:use Your::Module::Here; ok(1);

> rpmlint is unhappy:
> E: perl-CPANPLUS useless-explicit-provides perl(CPANPLUS::Config)

That's auto-generated during rpmbuild, so I think we can ignore that.

> W: perl-CPANPLUS hidden-file-or-dir
> /usr/lib/perl5/vendor_perl/5.8.8/CPANPLUS/inc/.inc
> E: perl-CPANPLUS zero-length /usr/lib/perl5/vendor_perl/5.8.8/CPANPLUS/inc/.inc

Fixed in -2.

 http://ftp.kspei.com/pub/steve/rpms/perl-CPANPLUS-0.061-2.src.rpm

Sorry about the rpmlint warnings.  I thought I had checked that before
submitting all of these packages.  I guess I missed one...

Comment 7 Jason Tibbitts 2006-05-06 20:48:51 UTC
> I literally had to filter perl(Your::Module::Here).

Hilarious.  Sorry I missed that.

> That's auto-generated during rpmbuild, so I think we can ignore that.

Yes, you don't include it.  I see no point in filtering it as it seems to be an
RPM buglet.

> Fixed in -2.

Thanks.

APPROVED

Comment 8 Paul Howarth 2006-05-07 10:07:42 UTC
(In reply to comment #6)
> Sorry about the rpmlint warnings.  I thought I had checked that before
> submitting all of these packages.  I guess I missed one...

Possibly not; I've had that happen too. I think it's because new versions of
rpmlint find new things to complain about.

Comment 9 Steven Pritchard 2006-05-07 21:02:50 UTC
Imported into CVS, branches created, and builds requested.


Note You need to log in before you can comment on or make changes to this bug.